package org.jtheque.primary.od;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.jtheque.primary.od.abstraction.Type;
import org.jtheque.utils.Constants;
import org.jtheque.utils.EqualsUtils;

/**
 * A type.
 *
 * @author Baptiste Wicht
 */
public final class TypeImpl extends Type {
    @Override
    public String getAffichableText() {
        return getName();
    }

    @Override
    public String toString() {
        return getAffichableText();
    }

    @Override
    public int hashCode() {
        int result = Constants.HASH_CODE_START;
        
        result = Constants.HASH_CODE_PRIME * result + getId();
        result = Constants.HASH_CODE_PRIME * result + (getName() == null ? 0 : getName().hashCode());
        result = Constants.HASH_CODE_PRIME * result + (getPrimaryImpl() == null ? 0 : getPrimaryImpl().hashCode());
        
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }

        if(EqualsUtils.areObjectIncompatible(this, obj)){
            return false;
        }

        final Type other = (Type) obj;

        if(EqualsUtils.areNotEquals(getName(), other.getName())){
            return false;
        }

        return !EqualsUtils.areNotEquals(getPrimaryImpl(), other.getPrimaryImpl());
    }
}