package org.jtheque.primary.od.abstraction;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * A type of film. It seems the media on which the film is.
 *
 * @author Baptiste Wicht
 */
public abstract class Type extends PrimaryData {
    private String name;

    /**
     * Cette mthode retourne le nom du type.
     *
     * @return Le nom du type
     */
    public final String getName() {
        return name;
    }

    /**
     * Cette mthode modifie le nom du type.
     *
     * @param nom le nouveau nom du type
     */
    public final void setName(String nom) {
        this.name = nom;
    }
}