package org.jtheque.primary.view.impl.models;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.jtheque.primary.od.KindImpl;
import org.jtheque.core.managers.view.able.components.IModel;
import org.jtheque.primary.view.able.ViewMode;

/**
 * A model for the editor view.
 *
 * @author Baptiste Wicht
 */
public final class KindModel implements IModel {
    private ViewMode state = ViewMode.NEW;
    private KindImpl kind;

    /**
     * Return the state of the view.
     *
     * @return The state of the view.
     */
    public ViewMode getState() {
        return state;
    }

    /**
     * Set the state of the view.
     *
     * @param state The state of the view.
     */
    public void setState(ViewMode state) {
        this.state = state;
    }

    /**
     * Return the current kind.
     *
     * @return The currrent kind.
     */
    public KindImpl getKind() {
        return kind;
    }

    /**
     * Set the current kind.
     *
     * @param kind The current kind.
     */
    public void setKind(KindImpl kind) {
        this.kind = kind;
    }
}