package org.jtheque.primary.view.impl.models;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.jtheque.primary.od.TypeImpl;
import org.jtheque.core.managers.view.able.components.IModel;
import org.jtheque.primary.od.abstraction.Type;

/**
 * A model for the type view.
 *
 * @author Baptiste Wicht
 */
public final class TypeModel implements IModel {
    private TypeImpl type;

    /**
     * Set the current type.
     *
     * @param type The current type.
     */
    public void setType(TypeImpl type) {
        this.type = type;
    }

    /**
     * Return the current type.
     *
     * @return The currrent type.
     */
    public Type getType() {
        return type;
    }
}