package org.jtheque.primary.view.impl.sort;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.jtheque.primary.view.impl.models.tree.JThequeTreeModel;

/**
 * Cette interface permet de gnraliser les classes de tri.
 *
 * @author Baptiste Wicht
 */
public interface Sorter {
    /**
     * Cette mthode permet de savoir si un trieur est capable de trier un certain type de contenu dans un
     * certain mode.
     *
     * @param content  Le contenu  trier
     * @param sortType Le mode de tri
     * @return true s'il peut trier, sinon false
     */
    boolean canSort(String content, String sortType);

    /**
     * Cette mthode permet de trier un modle de donnes.
     *
     * @param model Le modle de donnes
     */
    void sort(JThequeTreeModel model);
}